/*
 *  soapui, copyright (C) 2005 Ole Matzura / eviware.com 
 *
 *  SoapUI is free software; you can redistribute it and/or modify it under the 
 *  terms of the GNU Lesser General Public License as published by the Free Software Foundation; 
 *  either version 2.1 of the License, or (at your option) any later version.
 *
 *  SoapUI is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  See the GNU Lesser General Public License for more details at gnu.org.
 */

package com.eviware.soapui.impl;

import java.awt.Component;

import javax.swing.JPanel;

import com.eviware.soapui.model.DesktopPanel;
import com.eviware.soapui.model.PanelBuilder;

/**
 * Empty PanelBuilder implementation for extension.
 * 
 * @author Ole.Matzura
 */

public class EmptyPanelBuilder implements PanelBuilder
{
   public boolean hasOverviewPanel()
   {
      return false;
   }

   public Component buildOverviewPanel()
   {
      return null;
   }

   public boolean canBuildDesktopPanel()
   {
      return false;
   }

   public DesktopPanel buildDesktopPanel()
   {
      return null;
   }

   public String getDesktopPanelTitle()
   {
      return null;
   }

   public boolean hasPropertyPanel()
   {
      return false;
   }

   public JPanel buildPropertyPanel()
   {
      return null;
   }
}
