/*
 *  soapui, copyright (C) 2005 Ole Matzura / eviware.com 
 *
 *  SoapUI is free software; you can redistribute it and/or modify it under the 
 *  terms of the GNU Lesser General Public License as published by the Free Software Foundation; 
 *  either version 2.1 of the License, or (at your option) any later version.
 *
 *  SoapUI is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  See the GNU Lesser General Public License for more details at gnu.org.
 */

package com.eviware.soapui.impl.wsdl.actions.iface;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;
import javax.swing.Action;
import javax.swing.JOptionPane;

import com.eviware.soapui.SoapUI;
import com.eviware.soapui.impl.wsdl.WsdlInterface;

/**
 * Updates the definition of a WsdlInterface.
 * 
 * @author Ole.Matzura
 */

public class UpdateInterfaceAction extends AbstractAction
{
	private final WsdlInterface iface;
   
   public UpdateInterfaceAction( WsdlInterface iface )
   {
      super("Update Definition");
		this.iface = iface;
      putValue( Action.SHORT_DESCRIPTION, "Reload the definition for this interface and its operations");
   }

   public void actionPerformed(ActionEvent e)
	{
      String url = JOptionPane.showInputDialog(SoapUI.getInstance().getFrame(), "Refresh from specified url:",
      		iface.getDefinition());
      if (url == null)
         return;

      try
		{
      	iface.updateDefinition( url );
			JOptionPane.showMessageDialog( SoapUI.getInstance().getFrame(), 
					"Update of interface successfull!", "Update Definition", JOptionPane.INFORMATION_MESSAGE );
		}
		catch (Exception e1)
		{
			JOptionPane.showMessageDialog(  SoapUI.getInstance().getFrame(), 
					"Failed to update interface: [" + e1.getMessage() + "]", 
					"Update Definition", JOptionPane.ERROR_MESSAGE);
		}
   } 
}
