/*
 *  soapui, copyright (C) 2005 Ole Matzura / eviware.com 
 *
 *  SoapUI is free software; you can redistribute it and/or modify it under the 
 *  terms of the GNU Lesser General Public License as published by the Free Software Foundation; 
 *  either version 2.1 of the License, or (at your option) any later version.
 *
 *  SoapUI is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  See the GNU Lesser General Public License for more details at gnu.org.
 */

package com.eviware.soapui.impl.wsdl.actions.request;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;
import javax.swing.Action;
import javax.swing.JOptionPane;

import com.eviware.soapui.SoapUI;
import com.eviware.soapui.impl.wsdl.WsdlOperation;
import com.eviware.soapui.impl.wsdl.WsdlRequest;

/**
 * Deletes a WsdlRequest from its WsdlOperation
 * 
 * @author Ole.Matzura
 */

public class DeleteRequestAction extends AbstractAction
{
   private final WsdlRequest request;

	public DeleteRequestAction( WsdlRequest request )
   {
      super( "Delete" );
		this.request = request;
      putValue( Action.SHORT_DESCRIPTION, "Deletes this request" );
   }
   
   public void actionPerformed(ActionEvent e)
	{
      if( JOptionPane.YES_OPTION != JOptionPane.showConfirmDialog( SoapUI.getInstance().getFrame(), 
            "Delete request [" + request.getName() + "] from operation [" + request.getOperation().getName() + 
            "]", "Delete Request", JOptionPane.YES_NO_OPTION ))
      {
         return;
      }

      SoapUI.getInstance().closeTab( request );
      
      WsdlOperation operation = (WsdlOperation) request.getOperation();
      operation.removeRequest( request );
   }

}
