/*
 *  soapui, copyright (C) 2005 Ole Matzura / eviware.com 
 *
 *  SoapUI is free software; you can redistribute it and/or modify it under the 
 *  terms of the GNU Lesser General Public License as published by the Free Software Foundation; 
 *  either version 2.1 of the License, or (at your option) any later version.
 *
 *  SoapUI is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  See the GNU Lesser General Public License for more details at gnu.org.
 */

package com.eviware.soapui.impl.wsdl.actions.teststep;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;
import javax.swing.Action;
import javax.swing.JOptionPane;

import com.eviware.soapui.SoapUI;
import com.eviware.soapui.impl.wsdl.WsdlTestStep;

/**
 * Renames a WsdlTestStep
 * 
 * @author Ole.Matzura
 */

public class RenameTestStepAction extends AbstractAction
{
   private final WsdlTestStep testStep;

	public RenameTestStepAction( WsdlTestStep testStep )
   {
      super( "Rename" );
		this.testStep = testStep;
      putValue( Action.SHORT_DESCRIPTION, "Renames this test step" );
   }
   
   public void actionPerformed(ActionEvent e)
	{
      String name = JOptionPane.showInputDialog( SoapUI.getInstance().getFrame(), "Specify name of teststep", 
            testStep.getName() );
      if( name == null || name.equals( testStep.getName() )) return;
      
      testStep.setName( name );
   }

}
