/*
 *  soapui, copyright (C) 2005 Ole Matzura / eviware.com 
 *
 *  SoapUI is free software; you can redistribute it and/or modify it under the 
 *  terms of the GNU Lesser General Public License as published by the Free Software Foundation; 
 *  either version 2.1 of the License, or (at your option) any later version.
 *
 *  SoapUI is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  See the GNU Lesser General Public License for more details at gnu.org.
 */

package com.eviware.soapui.model.iface;

import com.eviware.soapui.model.ModelItem;

/**
 * Request interface
 * 
 * @author Ole.Matzura
 */

public interface Request extends ModelItem
{
   public final static String REQUEST_PROPERTY = Request.class.getName() + "@request";   
   public final static String ENDPOINT_PROPERTY = Request.class.getName() + "@endpoint";   
   public final static String ENCODING_PROPERTY = Request.class.getName() + "@encoding";   

   public String getRequestContent();
   
   public void setEndpoint(String string);

   public String getEndpoint();

   public String getEncoding();

   public void setEncoding(String string);

   public Operation getOperation();
   
   public void addSubmitListener( SubmitListener listener );
   
   public void removeSubmitListener( SubmitListener listener );
   
   public Submit submit();
}
