/*
 *  soapui, copyright (C) 2005 Ole Matzura / eviware.com 
 *
 *  SoapUI is free software; you can redistribute it and/or modify it under the 
 *  terms of the GNU Lesser General Public License as published by the Free Software Foundation; 
 *  either version 2.1 of the License, or (at your option) any later version.
 *
 *  SoapUI is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  See the GNU Lesser General Public License for more details at gnu.org.
 */

package com.eviware.soapui.support.actions;

import java.awt.event.ActionEvent;
import java.awt.event.KeyEvent;

import javax.swing.AbstractAction;
import javax.swing.Action;
import javax.swing.JSplitPane;
import javax.swing.KeyStroke;

import com.eviware.soapui.SoapUI;

/**
 * Changes the orientation of a JSplitPane
 * 
 * @author Ole.Matzura
 */

public class ChangeSplitPaneOrientationAction extends AbstractAction
{
	private final JSplitPane splitPane;

	public ChangeSplitPaneOrientationAction(JSplitPane splitPane)
	{
		super();
		this.splitPane = splitPane;

		putValue(Action.SMALL_ICON, SoapUI
				.createImageIcon("/split_request_pane.gif"));
		putValue(Action.SHORT_DESCRIPTION,
				"Changes the orientation of the request pane split");
		putValue( Action.ACCELERATOR_KEY, KeyStroke.getKeyStroke( KeyEvent.VK_O, KeyEvent.ALT_MASK ));
	}

	public void actionPerformed(ActionEvent e)
	{
		int orientation = splitPane.getOrientation();
		splitPane.setOrientation(orientation == JSplitPane.HORIZONTAL_SPLIT ? JSplitPane.VERTICAL_SPLIT
						: JSplitPane.HORIZONTAL_SPLIT);
		splitPane.resetToPreferredSizes();
	}
}
